# Generated by Django 3.1.1 on 2020-10-17 13:07

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MataKuliah',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_matakuliah', models.CharField(max_length=255)),
                ('nama_dosen', models.CharField(max_length=255)),
                ('sks', models.IntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6)])),
                ('deskripsi', models.TextField()),
                ('semester', models.CharField(choices=[('Ganjil', 'Ganjil'), ('Genap', 'Genap')], max_length=255)),
                ('tahun', models.CharField(choices=[('2019/2020', '2019/2020'), ('2020/2021', '2020/2021'), ('2021/2022', '2021/2022'), ('2022/2023', '2022/2023'), ('2023/2024', '2023/2024'), ('2024/2025', '2024/2025')], max_length=255)),
                ('ruang_kelas', models.CharField(max_length=255)),
            ],
        ),
    ]
